Subject: Four inch yellow caterpillar-HELP w/ID?

From: [email-masked]
Date: Sun, 15 Sep 1996 03:48:43 -0700

Hello everyone, 
Can anyone help identify a very large caterpillar I found this morning
in Central Kentucky?  It was first spotted wriggling across an abandoned
roadway.  It's a soft yellow color (not bright) with small almost
fluorescent yellow spots in a row along the midline.  There are two sets
of bristly protuberances behind the head.  Along the entire type of the
body are very fine yellow hairs which are barely visible.  After
searching my various moth/ butterfly books the only thing showing any
similarities is the cerecropia moth.  Does this sound like what I have? 
Thanks for any help.    Laura